Ipelib: ipe Namespace Reference

Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Namespace Members

Classes | Typedefs | Enumerations | Functions | Variables
ipe Namespace Reference

## Classes
class | Color
| An absolute RGB color. More...
struct | Tiling
| A tiling pattern. More...
struct | Gradient
| A gradient pattern. More...
struct | Layout
| Layout of a Page. More...
struct | TextPadding
| Padding for text bounding box. More...
class | Effect
| Effect that Acrobat Reader will show on page change. More...
class | Repository
| Repository of strings. More...
class | Attribute
| An attribute of an Ipe Object. More...
class | AllAttributes
| Collection of all object attributes. More...
class | String
| Strings and buffers. More...
class | Fixed
| Fixed point number with three (decimal) fractional digits. More...
class | Lex
| Lexical analyser. Seeded with a string. More...
class | Buffer
| A memory buffer. More...
class | Stream
| Abstract base class for output streams. More...
class | TellStream
| Adds position feedback to IpeStream. More...
class | StringStream
| Stream writing into an String. More...
class | FileStream
| Stream writing into an open file. More...
class | DataSource
| Interface for getting data for parsing. More...
class | FileSource
| Data source for parsing from a file. More...
class | BufferSource
| Data source for parsing from a buffer. More...
class | Platform
| Platform dependent methods. More...
class | Bitmap
| A bitmap. More...
class | Document
| The model for an Ipe document. More...
class | ObjectFactory
| Factory for Ipe leaf objects. More...
struct | Font
| A text font. More...
class | Angle
| A double that's an angle. More...
class | Vector
| Two-dimensional vector. More...
class | Rect
| Axis-parallel rectangle (which can be empty) More...
class | Line
| A directed line. More...
class | Segment
| A directed line segment. More...
class | Bezier
| A cubic Bezier spline. More...
class | Linear
| Linear transformation in the plane (2x2 matrix). More...
class | Matrix
| Homogeneous transformation in the plane. More...
class | Arc
| An arc of an ellipse. More...
class | Group
| The group object. More...
class | Image
| The image object. More...
class | ImlParser
| XML Parser for Ipe documents and style sheets. More...
class | Latex
| Object that converts latex source to PDF format. More...
class | IpeletHelper
| Service provider for Ipelets. More...
struct | IpeletData
| Information provided to an ipelet when it is run. More...
class | Ipelet
| Abstract base class for Ipelets. More...
class | Object
| Base class for all Ipe objects, composite or leaf. More...
class | Visitor
| Base class for visitors to Object. More...
class | Page
| An Ipe document page. More...
class | Painter
| Interface for drawing. More...
class | Path
| The path object (polylines, polygons, and generalizations). More...
class | PdfObj
| Abstract base class for PDF objects. More...
class | PdfNull
| The PDF null object. More...
class | PdfBool
| The PDF bool object. More...
class | PdfNumber
| The PDF number object. More...
class | PdfString
| The PDF string object. More...
class | PdfName
| The PDF name object. More...
class | PdfRef
| The PDF reference object (indirect object). More...
class | PdfArray
| The PDF array object. More...
class | PdfDict
| The PDF dictionary and stream objects. More...
struct | PdfToken
| A PDF lexical token. More...
class | PdfParser
| PDF parser. More...
class | PdfFile
| All information obtained by parsing a PDF file. More...
class | PdfPainter
class | PdfWriter
| Create PDF file. More...
class | PsPainter
class | PsWriter
| Create Postscript file. More...
class | Reference
| The reference object. More...
class | CurveSegment
| A segment on an SubPath. More...
class | SubPath
| A subpath of a Path. More...
class | Ellipse
| An ellipse subpath. More...
class | ClosedSpline
| A closed B-spline curve. More...
class | Curve
| Subpath consisting of a sequence of CurveSegment's. More...
class | Shape
| A geometric shape, consisting of several (open or closed) subpaths. More...
class | Snap
| Performs snapping operations, and stores snapping state. More...
class | Symbol
| A symbol is a named object defined in an ipe::StyleSheet. More...
class | StyleSheet
| A style sheet maps symbolic names to absolute values. More...
class | Cascade
| A cascade of style sheets. More...
class | Text
| The text object. More...
class | BitmapFinder
| A visitor that recursively scans objects and collects all bitmaps. More...
class | BBoxPainter
| Paint objects using this painter to compute an accurate bounding box. More...
class | A85Stream
| Filter stream adding ASCII85 encoding. More...
class | Base64Stream
| Filter stream adding Base64 encoding. More...
class | DeflateStream
| Filter stream adding flate compression. More...
class | A85Source
| Filter source adding ASCII85 decoding. More...
class | Base64Source
| Filter source adding Base64 decoding. More...
class | InflateSource
| Filter source adding flate decompression. More...
class | XmlAttributes
| Stores attributes of an XML tag. More...
class | XmlParser
| Base class for XML stream parsing. More...
class | CairoPainter
| Ipe Painter using Cairo and Freetype as a backend. More...
class | Face
| A typeface (aka font), actually loaded (from a font file or PDF file). More...
class | Fonts
| Provides the fonts used to render text. More...
class | Thumbnail
class | CanvasObserver
class | CanvasBase
class | Canvas
| A widget (control) that displays an Ipe document page. More...
class | PageSelector
class | Tool
| Abstract base class for various canvas tools. More...
class | PanTool
| A tool for panning the canvas. More...
class | SelectTool
| A tool for selecting objects. More...
class | TransformTool
| A tool for transforming the selected objects on the canvas. More...

## Typedefs
typedef std::vector< Attribute > | AttributeSeq

## Enumerations
enum | Kind { EPen = 0, ESymbolSize, EArrowSize, EColor, EDashStyle, ETextSize, ETextStretch, ETextStyle, EGridSize, EAngleSize, EOpacity, ETiling, ESymbol, EGradient, EEffect }
enum | Property { EPropPen = 0, EPropSymbolSize, EPropFArrow, EPropRArrow, EPropFArrowSize, EPropRArrowSize, EPropFArrowShape, EPropRArrowShape, EPropStrokeColor, EPropFillColor, EPropMarkShape, EPropPathMode, EPropDashStyle, EPropTextSize, EPropTextStyle, EPropOpacity, EPropTiling, EPropGradient, EPropHorizontalAlignment, EPropVerticalAlignment, EPropLineJoin, EPropLineCap, EPropFillRule, EPropPinned, EPropTransformations, EPropTransformableText, EPropMinipage, EPropWidth }
enum | TPathMode { EStrokedOnly, EStrokedAndFilled, EFilledOnly }
enum | THorizontalAlignment { EAlignLeft, EAlignRight, EAlignHCenter }
enum | TVerticalAlignment { EAlignBottom, EAlignBaseline, EAlignTop, EAlignVCenter }
enum | TLineJoin { EDefaultJoin, EMiterJoin, ERoundJoin, EBevelJoin }
enum | TLineCap { EDefaultCap, EButtCap, ERoundCap, ESquareCap }
enum | TFillRule { EDefaultRule, EWindRule, EEvenOddRule }
enum | TPinned { ENoPin = 0x00, EHorizontalPin = 0x01, EVerticalPin = 0x02, EFixedPin = 0x03 }
enum | TTransformations { ETransformationsTranslations, ETransformationsRigidMotions, ETransformationsAffine }
enum | TSelect { ENotSelected = 0, EPrimarySelected, ESecondarySelected }

## Functions
template<class T >
T | max (const T &lhs, const T &rhs)
template<class T >
T | min (const T &lhs, const T &rhs)
double | abs (double val)
QPointF | QPt (const Vector &v)
String | IpeQ (const QString &str)
QString | QIpe (const String &str)
QColor | QIpe (Color color)
Color | IpeQ (QColor color)

## Variables
const char *const | kind_names []
const char *const | property_names []
const int | IPELIB_VERSION = 70104
const int | OLDEST_FILE_FORMAT = 70000
const int | FILE_FORMAT = 70005

## Function Documentation

QPointF ipe::QPt | ( | const Vector & | v | ) |
| inline

String ipe::IpeQ | ( | const QString & | str | ) |
| inline

QString ipe::QIpe | ( | const String & | str | ) |
| inline

QColor ipe::QIpe | ( | Color | color | ) |
| inline

Color ipe::IpeQ | ( | QColor | color | ) |
| inline